# Generated by Django 4.2.10 on 2024-03-05 15:17

import colorfield.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("paweljong", "0026_drop_sites"),
    ]

    operations = [
        migrations.CreateModel(
            name="EventAdditionalField",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "managed_by_app_label",
                    models.CharField(
                        blank=True,
                        editable=False,
                        max_length=255,
                        verbose_name="App label of app responsible for managing this instance",
                    ),
                ),
                ("extended_data", models.JSONField(default=dict, editable=False)),
                (
                    "title",
                    models.CharField(max_length=255, verbose_name="Title of field"),
                ),
                (
                    "field_type",
                    models.CharField(
                        choices=[
                            ("BooleanField", "Boolean (Yes/No)"),
                            ("CharField", "Text (one line)"),
                            ("DateField", "Date"),
                            ("DateTimeField", "Date and time"),
                            ("DecimalField", "Decimal number"),
                            ("EmailField", "E-mail address"),
                            ("IntegerField", "Integer"),
                            ("GenericIPAddressField", "IP address"),
                            ("NullBooleanField", "Boolean or empty (Yes/No/Neither)"),
                            ("TextField", "Text (multi-line)"),
                            ("TimeField", "Time"),
                            ("URLField", "URL / Link"),
                        ],
                        max_length=50,
                        verbose_name="Type of field",
                    ),
                ),
                (
                    "required",
                    models.BooleanField(default=False, verbose_name="Required"),
                ),
                (
                    "help_text",
                    models.TextField(
                        blank=True, verbose_name="Help text / description"
                    ),
                ),
            ],
            options={
                "verbose_name": "Addtitional field for events",
                "verbose_name_plural": "Addtitional fields for events",
            },
        ),
        migrations.AddConstraint(
            model_name="eventadditionalfield",
            constraint=models.UniqueConstraint(fields=("title",), name="unique_title"),
        ),
        migrations.AddField(
            model_name="event",
            name="additional_fields",
            field=models.ManyToManyField(
                blank=True,
                to="paweljong.eventadditionalfield",
                verbose_name="Additional fields",
            ),
        ),
        # migrations.RunPython(move_additional_fields),
    ]
